This forum is a discussion about improving the "Why do Java, Silverlight, Adobe Acrobat and other plugins no longer work?" article. If you'd like to participate, please register.

If you need help with Firefox, please ask a question.

Background for this new article

  • 5 Replies
  • Last reply by AliceWyman
  1. AliceWyman 4753 posts
    Report Abuse

    Bug 1311420 - Consider notifications to users about plugin deprecation comment 28-29

    https://support.mozilla.org/en-US/forums/knowledge-base-articles/712219 Plugin support except for Flash dropped in Fx52 (bug 1269807). New template ... and article

    [https://bugzilla.mozilla.org/show_bug.cgi?id=1311420 Bug 1311420] - Consider notifications to users about plugin deprecation [https://bugzilla.mozilla.org/show_bug.cgi?id=1311420#c28 comment 28-29] https://support.mozilla.org/en-US/forums/knowledge-base-articles/712219 Plugin support except for Flash dropped in Fx52 (bug 1269807). New template ... and article
    Modified by AliceWyman on
  2. AliceWyman 4753 posts
    Report Abuse

    This article was approved for the Troubleshooting category so it shows up in searches. I made a new revision to add the following content from Template:PluginSupportEOL so that is shows for Firefox 51 and below:

    {for not fx52}{warning}Mozilla plans to drop support for all NPAPI plugins except for Flash in March 2017, when Firefox version 52 is released. See this article and this blog post for details.{/warning}{/for}

    (I didn't include the template itself, in case we update the template with a link to this article.)

    EDIT: I reverted my last revision because the content was visible when I viewed this article in Firefox 52 Developer Edition. {for not fx52} tags won't hide the content since Firefox 52 hasn't been added yet to the version picker.

    My new revision simply linkifies plugins in the first paragraph. The linked Use plugins to play audio, video, games and more article explains more about plugins and it includes the PluginSupportEOL template.

    This article was approved for the Troubleshooting category so it shows up in searches. I made a new revision to add the following content from [https://support.mozilla.org/en-US/kb/templatepluginsupporteol Template:PluginSupportEOL] so that is shows for Firefox 51 and below: {for not fx52}{warning}Mozilla plans to drop support for all NPAPI plugins except for Flash in March 2017, when Firefox version 52 is released. See [https://www.fxsitecompat.com/docs/2016/plug-in-support-has-been-dropped-other-than-flash/ this article] and [https://blog.mozilla.org/futurereleases/2016/07/20/reducing-adobe-flash-usage-in-firefox/ this blog post] for details.{/warning}{/for} (I didn't include the template itself, in case we update the template with a link to this article.) '''EDIT:''' I reverted my last revision because the content was visible when I viewed this article in Firefox 52 Developer Edition. {for not fx52} tags won't hide the content since Firefox 52 hasn't been added yet to the version picker. My new revision simply linkifies [[Use plugins to play audio, video, games and more|plugins]] in the first paragraph. The linked [[Use plugins to play audio, video, games and more]] article explains more about plugins and it includes the PluginSupportEOL template.
    Modified by AliceWyman on
  3. AliceWyman 4753 posts
    Report Abuse

    I set up a Needs change entry, [Jan 24 2017] Review and mark RFL when Fx52 goes into Beta

    I set up a Needs change entry, [Jan 24 2017] Review and mark RFL when Fx52 goes into Beta
  4. Joni 308 posts
    Report Abuse

    Thanks for adding the warning and a "Needs Changes" note, Alice. I've added version 52 to the picker so the showfor should work now.

    Thanks for adding the warning and a "Needs Changes" note, Alice. I've added version 52 to the picker so the showfor should work now.
  5. AliceWyman 4753 posts
    Report Abuse

    You're welcome, Joni. Thanks for reverting my last revision and adding back the earlier one with the {for not fx52} warning.

    You're welcome, Joni. Thanks for reverting my last revision and adding back the earlier one with the {for not fx52} warning.
  6. AliceWyman 4753 posts
    Report Abuse

    I marked this article ready to localize. I also removed the Needs change entry, [Jan 24 2017] Review and mark RFL when Fx52 goes into Beta.

    I marked this article ready to localize. I also removed the Needs change entry, ''[Jan 24 2017] Review and mark RFL when Fx52 goes into Beta.''
    Modified by AliceWyman on